import { Fragment, jsx, jsxs } from "react/jsx-runtime";
import { Helmet } from "react-helmet";
import { pageViewEvent } from "../analytics/page-view-event.js";
import { lrTrack } from "../utils/logrocket.js";
const onPageView = (pageTitle) => {
  pageViewEvent({ pageTitle });
  lrTrack("page-view", {
    pageTitle
  });
};
const Page = ({ pageTitle = "ICE", children }) => {
  onPageView(pageTitle);
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx(Helmet, { children: /* @__PURE__ */ jsx("title", { children: pageTitle }) }),
    children
  ] });
};
export {
  Page,
  onPageView
};
